Subject: pdb to VRML converters: summary

From: Eva Young <[email-masked]>
Date: Thu, 2 Apr 1998 14:10:33 -0600 (CST)

Hi folks:

Here's the summary of replies to my question about a conversion tool for
pdb to VRML.

Is there an authoring tool available that will convert pdb files to VRML?

Thanks to all of you who responded.  The web sites you have referred me to
are very helpful.

Eva

Eva Young
University of Minnesota
[email-masked]

-----------------------------------------------

	There is a pdb to vrml converter available at the following
address

http://ws05.pc.chemie.th-darmstadt.de/vrml/

Also, InsightII 95 from MSI will output vrml after it has been patched
with
updaters from the msi www page. I assume InisghtII 97 will also do the
same, but without the patches.

Bye Jeff.

--------------------------------------------------------------------------
Jeff Dyason                            e-mail: [email-masked]
Drug Design & Development Centre       Phone:  61 7 336 52481
University of Queensland               Fax:    61 7 336 51990
Brisbane Queensland Australia 4072
--------------------------------------------------------------------------

> Is there an authoring tool available that will convert pdb files to
VRML?

MSI has a utility called "pdb2vrml" installed in the Visualization/
Workstation Lab.  It might also be available at the Basic Sciences Lab or
the West bank Lab.  Just type pdb2vrml and it will give you the various
options you can do.

For more information, see:

http://www.pc.chemie.th-darmstadt.de/vrml/pdb2vrml.html

  _____________________________________________________________________
/|                                                                     |
/| Kenneth E. Lind,  Graduate Student                                  |
/| Department of Medicinal Chemistry,  University of Minnesota         |
/|                                                                     |
/| phone:  (612) 626-3551          fax: (612) 626-4429                 |
/| e-mail: [email-masked]   url: http://chet.medc.umn.edu/~lind |
/|_____________________________________________________________________|
/ / / / / / / / / / / / / / / / / / / / / / / / / / / / / / / / / / / / 

                                                                 _O
  YOU WILL NEVER "FIND" TIME FOR ANYTHING.                      //\
  IF YOU WANT TIME, YOU MUST MAKE IT.                          _/\
                                                             oo  /
                         -- CHARLES BIXTON                      ooo

I have written a program not only to display a pdb file in vrml, but
also to
animate long dynamics trajectories of large proteins in vrml. But I am
afraid
that won't be of much help to you, since my employer will only make it
available
as part of a large package to our paying clients. Instead, you can check
out the
following web pages.
     http://trex.musc.edu/manuals/pdb2vrml.html
     http://ws05.pc.chemie.th-darmstadt.de/vrmlG/pdbvis.html

--
J.Kottalam, Ph.D.                  |  Structural Bioinformatics, Inc.
Principal Scientist                |  10929 Technology Pl.
Computational Sciences             |  San Diego, CA 92127.
email: [email-masked]        |  http://www.strubix.com

See a list of crystallography-related VRML softwares, including
the PDB2VRML translator at :
      http://fluo.univ-lemans.fr:8001/vrml/intvrml.html

Best wishes,

Armel Le Bail - Universite du Maine, Laboratoire des Fluorures,
CNRS ESA 6010, Av. O. Messiaen, 72085 Le Mans cedex 9, France
http://fluo.univ-lemans.fr:8001/
http://www.cybercable.tm.fr/~cristal/welcome.html

there is a simple command-line tool at the group of Prof. Brickmann
in Darmstadt, Germany. You ca find it at

   http://www.pc.chemie.tu-darmstadt.de/vrml/pdb2vrml.html

there is also a lot of VRML-related staff ... :-)

Daniel Vitt

     ----------------------------------------------------------------
    |          4sc                  | Technology Center Wuerzburg    |
    |         4sc                   | Sedanstr. 27                   |
    |        4sc     4sc   4sc      | D-97082 Wuerzburg              |
    |        4sc    4sc   4sc       | tel: +49 (0)931 88023-23       |
    |         4sc  4sc   4sc        | fax: +49 (0)931 88023-25       |
    |           4sc4sc4sc           |--------------------------------|
    |            4sc                | Dipl.-Chem. Daniel Vitt        |
    |           4sc    4 Scientific | Geschaeftsfuehrer              |
    |          4sc     Computing    |                                |
    |         4sc      GmbH         | e-mail: [email-masked]           |
     ----------------------------------------------------------------

you can find our pdb2vrml converter under the following URL:

http://www.pc.chemie.tu-darmstadt.de/vrml/pdb2vrml.html

Richard

-- 

Dipl.-Ing. Richard J. Marhoefer
Technische Universitaet Darmstadt
Physikalische Chemie I, Petersenstr. 20, 64287 Darmstadt

fon: (+int49) 6151/16-3746  fax: (+int49) 6151/16-4298

mail: [email-masked]
net:  http://www.pc.chemie.tu-darmstadt.de/authors/ric/

please have a look at Konrad Hinsen's MolecularModellingToolkit (MMTK) at

	http://starship.skyport.net/crew/hinsen/mmtk.html

You can read in molecules as PDB and dump them as VRML then.

Hope this helps.

	Lutz Ehrlich

---------------------
Lutz Ehrlich

Structural Biology
EMBL
Meyerhofstr. 1
D-69012 Heidelberg
Germany

email:	[email-masked]
	or	[email-masked]
web  : http://www.embl-heidelberg.de/~ehrlich
phone: +49-6221-387-140
fax  : +49-6221-387-517

Dear Eva, have a look at:
http://ws05.pc.chemie.th-darmstadt.de/vrml/pdb2vrml.html

regards
Bruno

Dr Bruno Manunza
DISAABA (Dept. of Agricultural Environm. Sci)
University of Sassari
V.le Italia 39
07100 Sassari, ITALY
phone: 39 79 229215
fax:   39 79 229276
e-mail: [email-masked]
e-mail: [email-masked]
e-mail: [email-masked]
web: http://antas.agraria.uniss.it

A couple of tools that I use may be helpful. 

1) Try the free Weblab viewer for Windows 95 from MSI which can be
downloaded 
at
	http://www.msi.com/

this can load PDB or many other formats, generate CPK images,
protein ribbons etc and save in VRML format. 

2) on an SGI you can do the same thing with insightII (which is not free).

3) I have a simple PERL script (pdb2vrml.pl) that converts a PDB file
to a set of VRML spheres with anchors that highlight the atom name,
residue name and residue number. I will send this is a separate mail
message.
 
For a PC VRML plug-in for Netscape I suggest the zeus plug-in which 
seems much faster than some other VRML rendering tools. This can be
obtained from the VRML repository 

	http://www.sdsc.edu/vrml/

Hope this helps.

  Dr Mark J Forster Ph.D.
  Principal Scientist
  Informatics Laboratory
  National Institute for Biological Standards and Control
  Blanche Lane, South Mimms, 
  Hertfordshire EN6 3QG, United Kingdom.

  Tel 	01707 654753
  FAX 	01707 646730
  E-mail 	[email-masked]

--------

#!/usr/local/bin/perl

# read PDB file 
# for each ATOM line output the following data
# read atom name, residue type, residue number, chain ID, x,y,z 
# create VRML file  

if ($#ARGV != 0) {
        die "usage: pdb2vrml.pl file.pdb\n";
}

# --------------------------------------------------------
#
# read PDB file
#
$filename1=shift(@ARGV);
open(FILE1,$filename1) || die "cant open $filename1: $! \n";

# read only ATOM records not HETATM records
$ATOMcount=0;
while ($_ = <FILE1>) { 
	$str1=substr($_,0,6);
	#
	# read ATOM records - store for later analysis
	#
	if ($str1 eq 'ATOM  ') {
		# print $_;
		$ATOMcount++;
		$atomname{$ATOMcount}=substr($_,13,4);
		$resname3{$ATOMcount}=substr($_,17,3);
		$chain{$ATOMcount}=substr($_,21,1);
		if ($chain{$ATOMcount} eq " ") {
			$chain{$ATOMcount}="-";
		}
		$resnumber{$ATOMcount}=substr($_,23,4);
		$x{$ATOMcount}=substr($_,30,8);
		$y{$ATOMcount}=substr($_,38,8);
		$z{$ATOMcount}=substr($_,46,8);
		# print "$atomname{$ATOMcount} $resname3{$ATOMcount}
$resnumber{$ATOMcount} $chain{$ATOMcount} $x{$ATOMcount} $y{$ATOMcount}
$z{$ATOMcount} \n"; 
	}
}
close(FILE1);

#
# output VRML
#

# exit;

# print out VRML code in ASCII 
print "#VRML V1.0 ascii\n";
foreach $i (1..$ATOMcount) {
        $xx=$x{$i};
        $yy=$y{$i};
        $zz=$z{$i};
	$fullname=$atomname{$i}." ".$resname3{$i}." ".$resnumber{$i};
	print " \n";
	print "WWWAnchor { \n";
	print "   name \"\" \n";
	print "   description \" $fullname \" \n";	
      print "   map NONE \n";
	
      print "\n";
      print "Translation { \n";
      print "translation $xx $yy $zz \n";
      print "} \n";
	# end translation 

	print " \n"; 
	print "Material { \n";
#       now echo appropriate color
        $aname=$atomname{$i};
	# print "aname= $aname \n";
        $c=substr($aname,0,1);
# default is carbon gray radius=1.0
        $rds=1.0;
        $col=" 0.5 0.5 0.5 ";
        if ($c eq H) {
                $col=" 1.0 1.0 1.0 ";
                $rds=0.7;
        } 
        if ($c eq O) {
                $col=" 1.0 0.0 0.0 ";
                $rds=1.0;
        }
        if ($c eq N) {
                $col =" 0.0 0.0 1.0 ";
                $rds=1.0;
        }
        if ($c eq S) {
                $col =" 1.0 1.0 0.0 ";
                $rds=1.3;
        }
        if ($c eq P) {
                $col= " 1.0 0.0 1.0 ";
                $rds=1.2;
        }
#        print "$aname $c \n";
        print " diffuseColor $col \n";
        print "}\n";
	# end material 
        print "\n";

        print "Sphere {\n";
        print "radius $rds \n";
        print "} \n";
	  # end sphere 

        $xx=(-1.0*$xx);
        $yy=(-1.0*$yy);
        $zz=(-1.0*$zz);
        print "\n";
        print "Translation { \n";
        print "translation $xx $yy $zz \n";
        print "} \n";
	  # end translation

	print " } \n";
	# end WWWAnchor

}

  Dr Mark J Forster Ph.D.
  Principal Scientist
  Informatics Laboratory
  National Institute for Biological Standards and Control
  Blanche Lane, South Mimms, 
  Hertfordshire EN6 3QG, United Kingdom.

  Tel 	01707 654753
  FAX 	01707 646730
  E-mail 	[email-masked]

  For a heavyweight way to do it, you might want to look at
VMD from http://www.ks.uiuc.edu/Research/vmd/ .  It can
export its display to a variety of 3D formats, including VRML.

					Andrew

Dear Eva, have a look at:
http://ws05.pc.chemie.th-darmstadt.de/vrml/pdb2vrml.html

regards
Bruno

Dr Bruno Manunza
DISAABA (Dept. of Agricultural Environm. Sci)
University of Sassari
V.le Italia 39
07100 Sassari, ITALY
phone: 39 79 229215
fax:   39 79 229276
e-mail: [email-masked]
e-mail: [email-masked]
e-mail: [email-masked]
web: http://antas.agraria.uniss.it

Hi,

you can find our pdb2vrml converter under the following URL:

http://www.pc.chemie.tu-darmstadt.de/vrml/pdb2vrml.html

Richard

-- 

Dipl.-Ing. Richard J. Marhoefer
Technische Universitaet Darmstadt
Physikalische Chemie I, Petersenstr. 20, 64287 Darmstadt

fon: (+int49) 6151/16-3746  fax: (+int49) 6151/16-4298

mail: [email-masked]
net:  http://www.pc.chemie.tu-darmstadt.de/authors/ric/

-------Please note our new e-mail / s-mail address-------

-------This is added Automatically by the Software--------
-- Original Sender Envelope Address: [email-masked]
-- Original Sender From: Address: [email-masked]
[email-masked]: Everybody | [email-masked]:
Coordinator
[email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher: www.ccl.net
73
Anon. ftp: www.ccl.net   | [email-masked] -- archive search
             Web: http://www.ccl.net/chemistry.html 

There is a small tool doing exactly that:

  http://ws05.pc.chemie.th-darmstadt.de/vrml/pdb2vrml.html

If you need more influence on the VRML generation, you might try
my Molecular Modelling Toolkit at

  http://starship.skyport.net/crew/hinsen/mmtk.html

which can generate various VRML representations for molecular systems
and lets you add any graphics objects of your own (e.g. for indicating
motion etc.).

Also check

  http://web.inc.bme.hu/~csonka/vrmlchem.html

for more links to VRML applications in chemistry.
-- 
-------------------------------------------------------------------------------
Konrad Hinsen                          | E-Mail: [email-masked]
Laboratoire de Dynamique Moleculaire   | Tel.: +33-4.76.88.99.28
Institut de Biologie Structurale       | Fax:  +33-4.76.88.54.94
41, av. des Martyrs                    | Deutsch/Esperanto/English/
38027 Grenoble Cedex 1, France         | Nederlands/Francais
-------------------------------------------------------------------------------

I have written a program not only to display a pdb file in vrml, but
also to
animate long dynamics trajectories of large proteins in vrml. But I am
afraid
that won't be of much help to you, since my employer will only make it
available
as part of a large package to our paying clients. Instead, you can check
out the
following web pages.
     http://trex.musc.edu/manuals/pdb2vrml.html
     http://ws05.pc.chemie.th-darmstadt.de/vrmlG/pdbvis.html

--
J.Kottalam, Ph.D.                  |  Structural Bioinformatics, Inc.
Principal Scientist                |  10929 Technology Pl.
Computational Sciences             |  San Diego, CA 92127.
email: [email-masked]        |  http://www.strubix.com